Skip to main content
GET
/
v1
/
activity
/
combos
Get user combo activity
curl --request GET \
  --url https://api.copilot.markets/data/v1/activity/combos
{
  "activity": [
    {
      "id": "<string>",
      "event_kind": "<string>",
      "module_kind": "<string>",
      "user_address": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
      "combo_condition_id": "0x0391ab0ebea17b65ba87e071b0566e816b0000000000000000000000000000",
      "combo_position_id": "<string>",
      "module_id": 123,
      "amount_usdc": 123,
      "payout_usdc": 123,
      "timestamp": 123,
      "tx_dttm": "<string>",
      "tx_hash": "<string>",
      "log_index": 123,
      "block_number": 123,
      "legs": [
        {
          "leg_index": 123,
          "leg_position_id": "<string>",
          "leg_condition_id": "<string>",
          "leg_outcome_index": 123,
          "leg_outcome_label": "<string>",
          "leg_status": "<string>",
          "leg_resolved_at": "<string>",
          "leg_current_price": "<string>",
          "market": {
            "market_id": "<string>",
            "slug": "<string>",
            "title": "<string>",
            "outcome": "<string>",
            "image_url": "<string>",
            "icon_url": "<string>",
            "category": "<string>",
            "subcategory": "<string>",
            "tags": [
              "<string>"
            ],
            "end_date": "<string>",
            "event": {
              "event_id": "<string>",
              "event_slug": "<string>",
              "event_title": "<string>",
              "event_image": "<string>"
            }
          }
        }
      ]
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Query Parameters

user
string
required

User Profile Address (0x-prefixed, 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x56687bf447db6ffa42ffe2204a05edaa20f55839"

market_id
string[]

Comma-separated combo_condition_id values to filter to specific combos. These equal the market_id of isCombo rows on /activity. Omit for all of the user's combo activity.

Combo condition ID (0x-prefixed, 62 hex chars / bytes31). Equals the market_id (unified) / conditionId (legacy) of isCombo rows on /activity.

Pattern: ^0x[a-fA-F0-9]{62}$
limit
integer
default:50
Required range: 0 <= x <= 500
offset
integer
default:0
Required range: 0 <= x <= 10000

Response

Success

activity
object[]
pagination
object

Standard pagination metadata. No total count; has_more is derived from page fullness. next_cursor is opaque.